import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core'; 

@Component({
  selector: 'm-button',
  templateUrl: './material-button.component.html',
  styleUrls: ['./material-button.component.scss']
})
export class MaterialButtonComponent implements OnInit {

  @Input() label: string;
  @Input() icon: string;
  @Input() disabled: boolean = false;

  @Output() onClick: EventEmitter<any> = new EventEmitter(); 

  constructor() { }

  ngOnInit() {
  }

  onClickEmit(){
    if(!this.disabled)
      this.onClick.emit();
  }

}
